package config

var (
	_ragdollConfig *RagdollConfig
)

type RagdollConfig struct {
	ServerPort     int               `yaml:"server-port,omitempty"`
	MetaConfig     *MetaConfig       `yaml:"meta,omitempty"`
	MySQLConfig    *MySQLConfig      `yaml:"mysql,omitempty"`
	RedisConfig    *RedisConfig      `yaml:"redis,omitempty"`
	RocketmqConfig *[]RocketmqConfig `yaml:"namesrv,omitempty"`
	LoggerConfig   *LoggerConfig     `yaml:"logger,omitempty"`
}

func InitRagdoll(path string) {
	var config RagdollConfig
	readConfig(path, &config)
	_ragdollConfig = &config
}

func GetRagdollConfig() RagdollConfig {
	return *_ragdollConfig
}
